<?php
require '../bootstrap.php';
$conectDB = connectDB();
$conectDB->exec("set names utf8mb4");

$dataCadastro = date("Y-m-d H:i:s");

$dadosUsuario = findItem($conectDB, 'usuario', ' * ', array("code"=>$_SESSION['userCode']) );
if(empty($dadosUsuario->id))
{
	echo messageJson('erro', 'Faça Login');exit;
	exit;
}
 

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

		if(empty($_POST['imovel']))
		{
			echo messageJson('erro', 'Selecione um ou mais imóveis antes de continuar');exit;
			exit;
		}

		$imovelID = (int)$_POST['imovel'];

		$destaqueAplica = '0';
		$icone = 'far fa-heart';
		$dadosImovel = findItem($conectDB, 'imovel', ' destaque_home ', array("id" => $imovelID) );
		if( (empty($dadosImovel->destaque_home)) || ($dadosImovel->destaque_home == '0') ){
			$destaqueAplica = 1;
			$icone = 'fas fa-heart';
		} 

	        $cadinsert = "
				UPDATE
					imovel
				SET
					destaque_home 	= :destaque_home
				WHERE
					id 	= :id and
					usuario_id = :usuario_id
	        ";
	         
	            $cadresult = $conectDB->prepare($cadinsert);
	            $cadresult->bindParam(':destaque_home' , $destaqueAplica, PDO::PARAM_STR);
	            $cadresult->bindParam(':id' , 			$imovelID, PDO::PARAM_STR);
	            $cadresult->bindParam(':usuario_id' , 	$_SESSION['userID'], PDO::PARAM_STR);
	            if( $cadresult->execute() ){
		             echo messageJson('sucesso', 'Atualização realizada com sucesso', 'functionExecute', 'mudaIconeBotaoSubmit', 'mudaDestaque_'.$imovelID.'|'.$icone, '');
	            }
	            else
	            {
	            	 
	            	echo messageJson('sucesso', 'Alterações realizadas ou sem alterações', '', '');
	            }

}